Error in a future version of PHP

Probleme & Fragen die das separat zu installierende kostenpflichtige Rechnungsmodul betreffen

Moderatoren: ThoGoe, maennchen1.de

Antworten
mario.nrw
Beiträge: 8
Registriert: 29.02.2016, 19:37
Lizenz: wpShopGermany Pro

Error in a future version of PHP

Beitrag von mario.nrw » 03.03.2019, 19:24

Hallo!
Bisher konnte ich alle Probleme mit Hilfe des Forums lösen, aber jetzt komme ich einfach nicht weiter und muss fragen.

Zur Konfiguration:
Wordpress 5.1
PHP Version 7.2
WP_Shop Version 3.12.8
DB Version: 3.12.8
Lizenz: Pro Version
WP_DEBUG', false

(edit) Hoster: allinkl (/edit)

Wenn ich eine Bestellung tätige, kommt am Ende folgende Fehlermeldung:
Warning: Use of undefined constant getFilePath - assumed 'getFilePath' (this will throw an Error in a future version of PHP) in /www/htdocs/***/wp-content/plugins/wpshopgermany/views/mods/mod_rechnungen/rechnung_pdf.phtml on line 50

Warning: Use of undefined constant getFilePath - assumed 'getFilePath' (this will throw an Error in a future version of PHP) in /www/htdocs/***/wp-content/plugins/wpshopgermany/views/mods/mod_rechnungen/rechnung_pdf.phtml on line 58

Warning: Use of undefined constant getFilePath - assumed 'getFilePath' (this will throw an Error in a future version of PHP) in /www/htdocs/***/wp-content/plugins/wpshopgermany/views/mods/mod_rechnungen/rechnung_pdf.phtml on line 64

Warning: Use of undefined constant getFilePath - assumed 'getFilePath' (this will throw an Error in a future version of PHP) in /www/htdocs/***/wp-content/plugins/wpshopgermany/views/mods/mod_rechnungen/rechnung_pdf.phtml on line 67

Warning: Use of undefined constant getFilePath - assumed 'getFilePath' (this will throw an Error in a future version of PHP) in /www/htdocs/***/wp-content/plugins/wpshopgermany/views/mods/mod_rechnungen/rechnung_pdf.phtml on line 74
Die Rechnung wird erstellt und verschickt und in der Bestellverwaltung ist die Bestellung auch hinterlegt.

Ich habe die PHP Version auf 5.6 umgestellt, das hat auch nichts gebracht und hab sie schließlich wieder auf 7.2 gestellt.

Ich komme einfach nicht weiter und bräuchte jetzt mal Hilfe, oder einen Anstoß, wo der Fehler liegen könnte.

Schon mal vielen Dank.

Benutzeravatar
ThoGoe
m1.Mitarbeiter
Beiträge: 3582
Registriert: 21.07.2014, 08:25
Lizenz: wpShopGermany Enterprise

Re: Error in a future version of PHP

Beitrag von ThoGoe » 04.03.2019, 08:24

Hallo!

Du nutzt wpShopGermany-Version 3, mit der es unter php-Version 7.2 zu Fehlern kommen kann. Ich empfehle die das Update auf wpShopGermany-Version 4.

Zudem sind deine Meldungen "lediglich" Warnungen, die zwar angezeigt werden, aber sich nicht negativ auf das System auswirken. Wenn du den Debug-Modus unter wpShopGermany > Konfiguration > Einstellungen > Erweitert deaktivierst, werden die Meldungen nicht mehr dargestellt. Bitte beachte, dass Version 3 nicht weiterentwickelt wird!

Liebe Grüße
Wenn du glaubst, es geht nicht mehr, kommt von uns die Hilfe (http://shop.maennchen1.de/kontaktformular/) her.
Hast du wenig Geld, doch dafür Zeit, stell es der Wunschliste (https://wpshopgermany.uservoice.com/for ... 61-general) bereit!

mario.nrw
Beiträge: 8
Registriert: 29.02.2016, 19:37
Lizenz: wpShopGermany Pro

Re: Error in a future version of PHP

Beitrag von mario.nrw » 04.03.2019, 11:27

Hallo und erst mal vielen Dank für die schnelle Antwort.
Ich werde meiner Kundin zudem das Update auf Version 4 empfehlen.
Der Debugmodus war schon ausgeschaltet. Können wir die Meldungen noch anderweitig unterdrücken?

Benutzeravatar
ThoGoe
m1.Mitarbeiter
Beiträge: 3582
Registriert: 21.07.2014, 08:25
Lizenz: wpShopGermany Enterprise

Re: Error in a future version of PHP

Beitrag von ThoGoe » 04.03.2019, 12:10

Hallo!

Da du bereits im Eingangspost sagtest, dass der WP-Debug in der wp-config auf false steht und der wpShopGermany-eigene Debugmodus auch deaktiviert ist, hast du keine weitere Möglichkeit, die Fehler zu deaktivieren.

Liebe Grüße
Wenn du glaubst, es geht nicht mehr, kommt von uns die Hilfe (http://shop.maennchen1.de/kontaktformular/) her.
Hast du wenig Geld, doch dafür Zeit, stell es der Wunschliste (https://wpshopgermany.uservoice.com/for ... 61-general) bereit!

mario.nrw
Beiträge: 8
Registriert: 29.02.2016, 19:37
Lizenz: wpShopGermany Pro

Re: Error in a future version of PHP

Beitrag von mario.nrw » 04.03.2019, 12:23

Hallo und noch mal Danke für die Antwort.
Ich habe jetzt noch mal an allinkl geschrieben, ob es von deren Seite eine Möglichkeit gibt, solche Meldungen zu unterdrücken.

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 16812
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Error in a future version of PHP

Beitrag von maennchen1.de » 04.03.2019, 14:43

Doch! Die Einstellungen werden in deinem Fall vom Provider forciert. Dort hast du 100% eine Einstellung, welche du ändern kannst, um keine Debug-Meldungen mehr zu erhalten.
siehe auch: viewtopic.php?f=24&t=9525#p57677
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
Wie poste ich eine Frage zu einem Problem?
FAQ / häufig gestellte Fragen
Anzeige-Fehler / Funktionsfehler in wpShopGermany erkennen und selbst beheben
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

mario.nrw
Beiträge: 8
Registriert: 29.02.2016, 19:37
Lizenz: wpShopGermany Pro

Re: Error in a future version of PHP

Beitrag von mario.nrw » 04.03.2019, 14:53

Danke für die Info.

Wir beraten parallel gerade über das Update auf die Version 4.1
Das Rechnungsmodul müsste dann auch neu gekauft und die Lizenz für Shop und Rechnungsmodul dann jährlich erneuert werden, oder?

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 16812
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Error in a future version of PHP

Beitrag von maennchen1.de » 04.03.2019, 15:05

Beim Update muss nichts neu gekauft werden, das ist kostenfrei: https://wpshopgermany.maennchen1.de/faq ... version-4/
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
Wie poste ich eine Frage zu einem Problem?
FAQ / häufig gestellte Fragen
Anzeige-Fehler / Funktionsfehler in wpShopGermany erkennen und selbst beheben
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

Antworten